Debian Bug report logs - #713910
ITP: libcpan-reporter-smoker-perl -- turnkey CPAN Testers smoking module

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marius Gavrilescu <marius@ieval.ro>

Date: Sun, 23 Jun 2013 19:24:01 UTC

Owned by: Marius Gavrilescu <marius@ieval.ro>

Severity: wishlist

Fixed in version libcpan-reporter-smoker-perl/0.24-1

Done: Marius Gavrilescu <marius@ieval.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#713910; Package wnpp. (Sun, 23 Jun 2013 19:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marius Gavrilescu <marius@ieval.ro>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 23 Jun 2013 19:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcpan-reporter-smoker-perl -- turnkey CPAN Testers smoking module
Date: Sun, 23 Jun 2013 22:22:19 +0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Marius Gavrilescu <marius@ieval.ro>

* Package name    : libcpan-reporter-smoker-perl
  Version         : 0.24
  Upstream Author : David Golden <dagolden@cpan.org>
* URL             : https://metacpan.org/release/CPAN-Reporter-Smoker
* License         : Apache-2.0
  Programming Lang: Perl
  Description     : turnkey CPAN Testers smoking module

Rudimentary smoke tester for CPAN Testers, built upon CPAN::Reporter.
Use at your own risk. It requires a recent version of CPAN::Reporter to run.

Currently, CPAN::Reporter::Smoker requires zero independent configuration;
instead it uses configuration settings from CPAN.pm and CPAN::Reporter.

Once started, it retrieves a list of distributions from the configured CPAN 
mirror and begins testing them in reverse order of upload. It will skip any
distribution which has already had a report sent by CPAN::Reporter.

Features:
* No configuration needed
* Tests each distribution as a separate CPAN process -- each distribution has
  prerequisites like build_requires satisfied from scratch
* Automatically checks for new distributions every twelve hours or as otherwise
  specified
* Continues until interrupted with CTRL-C
* Checks CPAN.pm "distroprefs" to see if distributions should be skipped
  (before handing off to CPAN)
-- 
Marius Gavrilescu
(men-women) A man who likes to lie in bed can usually find a girl willing to listen to him
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 24 Jun 2013 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Marius Gavrilescu <marius@ieval.ro>:
You have taken responsibility. (Tue, 06 Aug 2013 23:04:26 GMT) Full text and rfc822 format available.

Notification sent to Marius Gavrilescu <marius@ieval.ro>:
Bug acknowledged by developer. (Tue, 06 Aug 2013 23:04:27 GMT) Full text and rfc822 format available.

Message #12 received at 713910-close@bugs.debian.org (full text, mbox):

From: Marius Gavrilescu <marius@ieval.ro>
To: 713910-close@bugs.debian.org
Subject: Bug#713910: fixed in libcpan-reporter-smoker-perl 0.24-1
Date: Tue, 06 Aug 2013 23:00:13 +0000
Source: libcpan-reporter-smoker-perl
Source-Version: 0.24-1

We believe that the bug you reported is fixed in the latest version of
libcpan-reporter-smoker-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marius Gavrilescu <marius@ieval.ro> (supplier of updated libcpan-reporter-smoker-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 24 Jun 2013 10:18:32 +0300
Source: libcpan-reporter-smoker-perl
Binary: libcpan-reporter-smoker-perl
Architecture: source all
Version: 0.24-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Marius Gavrilescu <marius@ieval.ro>
Description: 
 libcpan-reporter-smoker-perl - turnkey CPAN Testers smoking module
Closes: 713910
Changes: 
 libcpan-reporter-smoker-perl (0.24-1) unstable; urgency=low
 .
   * Initial Release (Closes: #713910).
Checksums-Sha1: 
 86080242262d7c3cbad67c38e04d51196237d922 2338 libcpan-reporter-smoker-perl_0.24-1.dsc
 ebe3a978ff25a9fcaf5110938ae14630c6af8b78 43589 libcpan-reporter-smoker-perl_0.24.orig.tar.gz
 7f95caaa2f7b26f046587a66fab27698a7844e03 2107 libcpan-reporter-smoker-perl_0.24-1.debian.tar.gz
 48aa91e39064ec9137d4161143f32545c5235c40 26632 libcpan-reporter-smoker-perl_0.24-1_all.deb
Checksums-Sha256: 
 eb2e7a8cb588ff8a6c00cd228fa79b38cdf6f027f4b50a7bd343414736c16564 2338 libcpan-reporter-smoker-perl_0.24-1.dsc
 caaf2a0620cdd062c8399457588fcd0eb0144595087e88fbc2b2cfe01e3b483c 43589 libcpan-reporter-smoker-perl_0.24.orig.tar.gz
 c4e455b888d2f823e3bc90a3bd38135d292fcb7a6f7384f65312b840661d8048 2107 libcpan-reporter-smoker-perl_0.24-1.debian.tar.gz
 bc23eb23094053efbeb37049852cc58527eddb615b2ab74389cf5a5533fc8c83 26632 libcpan-reporter-smoker-perl_0.24-1_all.deb
Files: 
 45e4bf552f1298b812e718119e60c046 2338 perl optional libcpan-reporter-smoker-perl_0.24-1.dsc
 20ac7d12e3df5c2b67ee32c7eb32ce99 43589 perl optional libcpan-reporter-smoker-perl_0.24.orig.tar.gz
 93f19f087549642895245206fc08e028 2107 perl optional libcpan-reporter-smoker-perl_0.24-1.debian.tar.gz
 94ef69ceaee97830cecb46bc5c63c76c 26632 perl optional libcpan-reporter-smoker-perl_0.24-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRyGwAAAoJELs6aAGGSaoG/0IQAJ8xn7yTL8Xxy9v8kfwuiVuM
wKT5Kc99upK7XX2qv6ReyM0mlDmavBbgY+j2zJ3yk6InjMO0ssmVEdcEKt4xiazL
o119kbC95w0Ag0H2AsNrYxj6o0Qu47qSAsD0ILhlNLaW0PoPvoQovUFdcJLCOg7q
C/XOEijeLZWdxz/ClpMRjSRMCzql/SZNFzCFRUuR7TrZutgJERhG/XZYQ+MS1khU
n0I2fSmGzuMiYt9ez/4Rl975XepvZcVVoXGqEgH0s3Dl4xzhsvANOSpfRchF8IYE
T4BVKR4imdtYrlRf+3oxaFP1It3NfCstS4tQ+Mb2qgIV+vG29Hyod/uqKmYsibvq
FjAVZcriCvuuVBjRfSmnW4BPOxByX4/eAwML7XSHvESglnIKLLnx4W+02LlLN+E6
3aEeeo5eXNlsZ4Aj8bMc+tEWzOAiNu23aPc6kIUOY4ioFnVQ7udARbBa3gFbEH8n
LsSrTLqjFQ0wOQHFElK31jzEmzS8YKqxPhd13hxkE6ZNj2jHUNqw9ud7FDAsW9kX
ZpmZLx2tQhSqwikzpmFb0ntITnIEmk2+JkauDBAfpeCH7jIvOZt4LRD/Yp5FBL5/
ajC/TtKY/FIIqaIkMyu9wHx+/bTihLcxJdu1JimT39nCi+NQj5xvjjDKuK/rPLtK
FcEE94zvp5JrwtfGTfpd
=qtUb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Sep 2013 07:26:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:13:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.